%define glib2_version 2.2.0
%define libbonobo_version 2.2.0
%define libxml2_version 2.5
%define libxslt_version 1.0.19
%define gconf2_version 2.2.0
%define gnome_vfs2_version 2.5.3
%define orbit2_version 2.5.1
%define esound_version 0.2.27

%define po_package libgnome-2.0

Summary: GNOME base library
Name: libgnome
Version: 2.6.0
Release: 2
URL: ftp://ftp.gnome.org/
Source0: %{name}-%{version}.tar.bz2
Source1: desktop_gnome_peripherals_monitor.schemas
Source2: desktop_gnome_accessibility_startup.schemas
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root

Requires:  glib2 >= %{glib2_version}
Requires:  libbonobo >= %{libbonobo_version}
Requires:  gnome-vfs2 >= %{gnome_vfs2_version}
Requires:  libxml2 >= %{libxml2_version}
Requires:  ORBit2 >= %{orbit2_version}
Requires:  libxslt >= %{libxslt_version}
## prereq for gconftool
PreReq:  GConf2 >= %{gconf2_version}
PreReq: /usr/bin/gconftool-2

BuildRequires:	zlib-devel
BuildRequires:	esound-devel >= %{esound_version}
BuildRequires:	glib2-devel >= %{glib2_version}
BuildRequires:  libbonobo-devel >= %{libbonobo_version}
BuildRequires:  GConf2-devel >= %{gconf2_version}
BuildRequires:  gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires:  libxml2-devel >= %{libxml2_version}
BuildRequires:  ORBit2-devel >= %{orbit2_version}
BuildRequires:  libxslt-devel >= %{libxslt_version}
BuildRequires:  intltool
BuildRequires: gtk-doc

Patch0: libgnome-2.2.2-default-gtk-theme.patch
Patch1: libgnome-2.5.3-default-background.patch
Patch2: libgnome-2.0.2-scoreloc.patch
Patch3: libgnome-2.1.90-default-icontheme.patch
Patch4: libgnome-2.2.0.1-default-cursor.patch
Patch5: libgnome-2.6.0-sound-properties.patch

# Added to avoid the warning messages about utmp group, bug #24171
# fixme, just libzvt?
PreReq:                utempter

%description

GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome package includes
non-GUI-related libraries that are needed to run GNOME. The libgnomeui
package contains X11-dependent GNOME library features.


%package devel
Summary: Libraries and headers for libgnome
Group: Development/Libraries
Requires: %name = %{version}

Conflicts: gnome-libs-devel < 1.4.1.2
Requires: zlib-devel
Requires: esound-devel
Requires: ORBit2-devel >= %{orbit2_version}
Requires: glib2-devel >= %{glib2_version}
Requires: libbonobo-devel >= %{libbonobo_version}
Requires: GConf2-devel >= %{gconf2_version}
Requires: gnome-vfs2-devel >= %{gnome_vfs2_version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: libxslt-devel >= %{libxslt_version}

%description devel

GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome-devel package
includes the libraries and include files that you will need to
use libgnome.

You should install the libgnome-devel package if you would like to
compile GNOME applications. You do not need to install libgnome-devel
if you just want to use the GNOME desktop environment.

%prep
%setup -q

%patch0 -p1 -b .default-gtk-theme
%patch1 -p1 -b .default-background
%patch2 -p1 -b .scoreloc
%patch3 -p1 -b .default-icontheme
%patch4 -p1 -b .default-cursor
%patch5 -p1 -b .sound-properties

%build
intltoolize -f
%configure --enable-gtk-doc
# Having strange problems adding it to CFLAGS. Oh well.
echo '#define GNOME_SCORE_PATH "%{_localstatedir}/lib/games"' >> config.h
##  LIBTOOL=/usr/bin/libtool
export tagname=CC
make %{?_smp_mflags} LIBTOOL=%{_bindir}/libtool

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
%makeinstall LIBTOOL=%{_bindir}/libtool
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
cp %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/
cp %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/

rm $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/monikers/*.{a,la}

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/desktop_gnome_*.schemas > /dev/null

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{_bindir}/*
%{_libdir}/lib*.so.*
%{_libdir}/bonobo
%{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/sound

%files devel
%defattr(-,root,root)

%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc

%changelog
* Thu Apr 13 2004 Colin Walters <walters@redhat.com> 2.6.0-2
- Apply my patch to fix --disable-sound property from HEAD

* Thu Apr  1 2004 Alex Larsson <alexl@redhat.com> 2.6.0-1
- update to 2.6.0

* Thu Mar 11 2004 Alex Larsson <alexl@redhat.com> 2.5.91-2
- enable gtk-doc

* Wed Mar 10 2004 Mark McLoughlin <markmc@redhat.com> 2.5.91-1
- Update to 2.5.91

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Alexander Larsson <alexl@redhat.com> 2.5.90-1
- update to 2.5.90

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 20 2004 Alexander Larsson <alexl@redhat.com> 2.5.3-1
- 2.5.3

* Tue Sep  2 2003 Alexander Larsson <alexl@redhat.com> 2.4.0-1
- 2.4.0

* Wed Aug 27 2003 Alexander Larsson <alexl@redhat.com> 2.3.7-2
- Default http handler is htmlview

* Wed Aug 27 2003 Alexander Larsson <alexl@redhat.com> 2.3.7-1
- update to 2.3.7

* Tue Aug 12 2003 Alexander Larsson <alexl@redhat.com> 2.3.6-1
- Gnome 2.3 update

* Mon Aug  4 2003 Jeremy Katz <katzj@redhat.com> 2.2.2-6
- rebuild

* Tue Jul 22 2003 Nalin Dahyabhai <nalin@redhat.com> 2.2.2-5
- rebuild

* Tue Jul 22 2003 Jonathan Blandford <jrb@redhat.com>
- install at-startup schemas

* Tue Jul 15 2003 Havoc Pennington <hp@redhat.com> 2.2.2-3
- --disable-gtk-doc

* Mon Jul 14 2003 Havoc Pennington <hp@redhat.com>
- automated rebuild

* Wed Jul  9 2003 Alexander Larsson <alexl@redhat.com> 2.2.2-2
- Fix default theme patch

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 2.2.1-1
- 2.2.2

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Owen Taylor <otaylor@redhat.com>
- Add back monospace schema, isn't upstream

* Mon Feb 10 2003 Bill Nottingham <notting@redhat.com> 2.2.0.1-6
- clean up filelist (#68226)
- make LIBTOOL=/usr/bin/libtool

* Fri Feb  7 2003 Jonathan Blandford <jrb@redhat.com> 2.2.0.1-3
- fix schema default.

* Thu Feb  6 2003 Jonathan Blandford <jrb@redhat.com> 2.2.0.1-2
- change schema default; add new schema

* Thu Jan 23 2003 Alexander Larsson <alexl@redhat.com>
- update to 2.2.0.1

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 22 2003 Jonathan Blandford <jrb@redhat.com>
- new version

* Sun Jan 12 2003 Havoc Pennington <hp@redhat.com>
- update requirements and rebuild

* Thu Jan  9 2003 Alexander Larsson <alexl@redhat.com>
- Update to 2.1.90
- Add a patch to change the default icon theme to Bluecurve

* Tue Dec  3 2002 Havoc Pennington <hp@redhat.com>
- add explicit gconftool-2 prereq in addition to gconf prereq

* Wed Nov 13 2002 Havoc Pennington <hp@redhat.com>
- only require bonobo-activation 1.0.0

* Sun Nov 10 2002 Havoc Pennington <hp@redhat.com>
- 2.1.1
- remove monospace font schema, should be upstream

* Wed Aug 28 2002 Matt Wilson <msw@redhat.com> 2.0.2-5
- added libgnome-2.0.2-program-init.patch to enable correct module
  initialization when gnome_program_init is called after
  gnome_program_module_register

* Wed Aug 21 2002 Elliot Lee <sopwith@redhat.com> 2.0.2-4
- Fix #64908 with patch3 (scoreloc)
- Add smp_mflags

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- s/Wonderland/Bluecurve/

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- change default background to new spec from garrett

* Wed Aug  7 2002 Havoc Pennington <hp@redhat.com>
- 2.0.2

* Wed Jul 24 2002 Owen Taylor <otaylor@redhat.com>
- Add schema for monospaced font

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Fix find_lang

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.1
- put bonobo monikers in file list (don't know what they 
  do, but assuming they do something)
- include /etc/sound in file list

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- change default gtk theme to Wonderland

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.117.2
- add ldconfig calls

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- add bonobo-activation build requires

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 1.117.1

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.116.0

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 1.114.0

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.111.0

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.110.0

* Tue Jan 22 2002 Havoc Pennington <hp@redhat.com>
- remove bogus dependency on libdb1

* Thu Jan  3 2002 Havoc Pennington <hp@redhat.com>
- fix the post script

* Thu Jan  3 2002 Havoc Pennington <hp@redhat.com>
- 1.108.0.90 cvs snap

* Tue Nov 27 2001 Havoc Pennington <hp@redhat.com>
- fix .schemas in post

* Tue Nov 27 2001 Havoc Pennington <hp@redhat.com>
- update CVS snap to 1.107.0.90, glib 1.3.11
- add libxslt dep
- require specific versions of dependent libs
- add bunch of missing stuff to file list
- install gconf schemas in post

* Sun Oct 28 2001 Havoc Pennington <hp@redhat.com>
- well, you only get the new CVS snap if you actually change the version in the spec file, doh

* Sun Oct 28 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap, rebuild for glib 1.3.10, remove gtk requires

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- new CVS snap, rebuild in 7.2-gnome

* Tue Sep 18 2001 Havoc Pennington <hp@redhat.com>
- Initial build.
- remove gtk2 dependency, doh
